Bug 6678 - Fix some problems with the standard NORMARC framework
Summary: Fix some problems with the standard NORMARC framework
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: MARC Bibliographic data support (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) minor (vote)
Assignee: Magnus Enger
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-07 21:24 UTC by Magnus Enger
Modified: 2012-10-25 23:09 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed patch (404.22 KB, patch)
2011-08-07 21:43 UTC, Magnus Enger
Details | Diff | Splinter Review
Revised patch (404.22 KB, patch)
2011-08-17 06:26 UTC, Magnus Enger
Details | Diff | Splinter Review
Bug 6678 - Fix some problems with the standard NORMARC framework (404.54 KB, patch)
2011-08-19 06:01 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Magnus Enger 2011-08-07 21:24:16 UTC
- Almost all fields are displayed as expanded in the cataloguing screens, because hidden=0 when it should be -1, see bug ???
- translate Koha-specific fields
- some unnecessary punctuation should be removed
- problem with encoding - æøå not displayed correctly
Comment 1 Magnus Enger 2011-08-07 21:43:19 UTC Comment hidden (obsolete)
Comment 2 Magnus Enger 2011-08-09 10:06:14 UTC
Comment on attachment 4882 [details] [review]
Proposed patch

Still some encoding problems, new patch coming!
Comment 3 Magnus Enger 2011-08-17 06:26:51 UTC Comment hidden (obsolete)
Comment 4 Katrin Fischer 2011-08-19 06:01:21 UTC
Created attachment 5055 [details] [review]
Bug 6678 - Fix some problems with the standard NORMARC framework

- Almost all fields are displayed as expanded in the cataloguing screens,
  because hidden=0 when it should be -1
- Koha-specific fields need to be translated
- some unnecessary punctuation should be removed
- problem with encoding - æøå not displayed correctly

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
- created a new database  with all nb-NO sample files, no errors reported
- checked the cataloging frameworks for displaying problems
- saved record and created an item - all koha specific fields translated
No problems found.
Comment 5 Chris Cormack 2011-08-21 07:58:47 UTC
Pushed, please test